### This script file contains an exercise for an ECOL 4000 Class on Neutral Theory #########

#install.packages("untb")

library(untb)

## This line sets the number of individuals in your community
J=500

## This line sets the migration rate into your community
m=.01

#This line sets the proportion of individuals who die from one time step to the next
p=.1



# First we load an existing dataset on a community of butterflies
# And alter it to match our chosen community size
data("butterflies")
start<- round((butterflies/376)*J)

# Next we can take a quick look at the species rank-abundance chart of our starting community
# You can comment out this line to stop plotting the starting community
plot(start)

# Then we allow our neutral theory simulation to proceed
set.seed(8675309)
out <- untb(start=start, prob=m, D=p*J)


# Finally we plot the species rank-abundance cart of our final community
plot(out)
